## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples
Class ASADDLGeneratorWrapper

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ddl.DDLGeneratorWrapper
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.ASADDLGeneratorWrapper

All Implemented Interfaces:
  IDDLGeneratorWrapper

    public class ASADDLGeneratorWrapper

extends DDLGeneratorWrapper

Constructor Summary
`ASADDLGeneratorWrapper(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)`

Method Summary
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, org.eclipse.core.runtime.IProgressMonitor monitor)` Returns the DDL for the given SQL objects
`SybaseDdlScript` `getDeltaDDLScript(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeSummary, org.eclipse.core.runtime.IProgressMonitor monitor, boolean fullQualified)`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ddl.DDLGeneratorWrapper
`getCreateStatementsDDL, setFullQualified, setGenSetUser`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASADDLGeneratorWrapper

    public ASADDLGeneratorWrapper(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)

Method Detail

### generateDeltaDDL

    public java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                               org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDDLGeneratorWrapper`
  Returns the DDL for the given SQL objects

  Specified by:
    `generateDeltaDDL` in interface `IDDLGeneratorWrapper`
  Overrides:
    `generateDeltaDDL` in class `DDLGeneratorWrapper`
  Returns:

### getDeltaDDLScript

    public SybaseDdlScript getDeltaDDLScript(org.eclipse.emf.ecore.EObject rootObject,
                                             org.eclipse.emf.ecore.change.ChangeDescription changeSummary,
                                             org.eclipse.core.runtime.IProgressMonitor monitor,
                                             boolean fullQualified)